Page MenuHomePhabricator

Clicking on links to the same page inside of a reference preview
Closed, ResolvedPublic2 Estimated Story Points

Description

Since footnotes can contain links to section on the same page or even other footnotes the question is, what should happen when a user clicks such a link.

At the moment, all links the user clicks inside of a reference popup will open in a new window/tab. - For links to the same page this might not make sense.

The question came up while discussing T215195

Note: Page-Previews do not share that issue because they do not show links in the preview text.

Event Timeline

If possible links to sections or footnotes within the same page should not open in a new tab.

Lofhi added a subscriber: Lofhi.Nov 24 2019, 2:19 PM

Can the ticket priority be high? This makes the tool completely useless in the current state.

thiemowmde triaged this task as High priority.Nov 25 2019, 9:39 AM
thiemowmde set the point value for this task to 5.Nov 26 2019, 12:19 PM

Change 553106 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] [WIP] Stop opening links to the same page in new tabs

https://gerrit.wikimedia.org/r/553106

Lofhi awarded a token.Nov 27 2019, 5:54 PM
Pols12 added a subscriber: Pols12.Jan 20 2020, 5:25 PM
Lena_WMDE changed the point value for this task from 5 to 3.Oct 19 2020, 9:08 AM
Lena_WMDE changed the point value for this task from 3 to 2.
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2020-10-21 board.

Change 553106 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Open only external links in new tabs

https://gerrit.wikimedia.org/r/553106

thiemowmde closed this task as Resolved.Tue, Nov 3, 1:07 PM